; $Id: make_x_hk_2_tree.pro,v 1.6 2006/12/11 06:33:25 makiuti Exp $
;+
; NAME:
;       MAKE_X_HK_2_TREE
;
; PURPOSE:
;       This procedure makes the HK_2 extension branch
;       in the X data selector of the FISv.
;       This procedure is called by FISv.
;
; AUTHOR:
;       ASTRO-F Data Reduction team
;       Web Page: http://www.ir.isas.ac.jp/ASTRO-F/iris_data/
;
; CATEGORY:
;       FIS Data Visualizer
;
; CALLING SEQUENCE:
;       make_x_hk_2_tree, widgetID
;
; MODIFICATION HISTORY:
;        Written by: Makiuti,S.
;        2006/12/11  Last modified
;-
pro make_x_hk_2_tree, widgetID

  parentID = widgetID
  WHILE Widget_Info(parentID, /Parent) NE 0 DO BEGIN
     parentID = Widget_Info(parentID, /Parent)
  ENDWHILE

  Widget_Control, parentID, UPDATE=0

  ;  ## HK_2 Extension Root
  X_TREENODE_HK_2 = widget_info(parentID, find_by_uname='X_TREENODE_HK_2')

  ; (1) Time
  X_TREENODE_HK_2_1 = Widget_Tree(X_TREENODE_HK_2, UNAME='X_TREENODE_HK_2_1'  $
      ,/FOLDER ,VALUE='Time')
    X_TREE_AFTIME = Widget_Tree(X_TREENODE_HK_2_1, UNAME='X_TREE_HK_2_AFTIME'  $
      ,VALUE='AFTIME', UVALUE='HK_2_AFTIME')
    X_TREE_PIMTIORG = Widget_Tree(X_TREENODE_HK_2_1, UNAME='X_TREE_HK_2_PIMTIORG'  $
      ,VALUE='PIMTIORG', UVALUE='HK_2_PIM_TI_ORG')

  ; (2) Cryostat and FIS Status
  X_TREENODE_HK_2_2 = Widget_Tree(X_TREENODE_HK_2, UNAME='X_TREENODE_HK_2_2'  $
      ,/FOLDER ,VALUE='Status')
    X_TREE_HK_2_BLANK = Widget_Tree(X_TREENODE_HK_2_2, UNAME='X_TREE_HK_2_BLANK'  $
      ,VALUE='Blank', UVALUE='HK_2_BLANK')
    X_TREE_HK_2_BLANK_CRYO_TEMP_DATA = Widget_Tree(X_TREENODE_HK_2_2, UNAME='X_TREE_HK_2_BLANK_CRYO_TEMP_DATA'  $
      ,VALUE='Blank_CRYO_Temp_Data', UVALUE='HK_2_BLANK_CRYO_TEMP_DATA')
    X_TREE_HK_2_CRYO_TEMP_DATA_EN_DS = Widget_Tree(X_TREENODE_HK_2_2, UNAME='X_TREE_HK_2_CRYO_TEMP_DATA_EN_DS'  $
      ,VALUE='CRYO_Temp_Data_EN_DS', UVALUE='HK_2_CRYO_TEMP_DATA_EN_DS')
    X_TREE_HK_2_FIS_CPU_RUN_RST = Widget_Tree(X_TREENODE_HK_2_2, UNAME='X_TREE_HK_2_FIS_CPU_RUN_RST'  $
      ,VALUE='FIS_CPU_Run_RST', UVALUE='HK_2_FIS_CPU_RUN_RST')
    X_TREE_HK_2_FIS_FIS_ON_OFF = Widget_Tree(X_TREENODE_HK_2_2, UNAME='X_TREE_HK_2_FIS_FIS_ON_OFF'  $
      ,VALUE='FIS_FIS_On_Off', UVALUE='HK_2_FIS_FIS_ON_OFF')
    X_TREE_HK_2_FIS_TMP_POL_POS_NEG = Widget_Tree(X_TREENODE_HK_2_2, UNAME='X_TREE_HK_2_FIS_TMP_POL_POS_NEG'  $
      ,VALUE='FIS_Tmp_Pol_POS_NEG', UVALUE='HK_2_FIS_TMP_POL_POS_NEG')
    X_TREE_HK_2_FIS_OBS_SEQ = Widget_Tree(X_TREENODE_HK_2_2, UNAME='X_TREE_HK_2_FIS_OBS_SEQ'  $
      ,VALUE='FIS_Obs_Seq', UVALUE='HK_2_FIS_OBS_SEQ')
    X_TREE_HK_2_FIS_RSW_AUTO_CMND = Widget_Tree(X_TREENODE_HK_2_2, UNAME='X_TREE_HK_2_FIS_RSW_AUTO_CMND'  $
      ,VALUE='FIS_RSW_Auto_Cmnd', UVALUE='HK_2_FIS_RSW_AUTO_CMND')
    X_TREE_HK_2_FIS_FCAL_FRQ_B1 = Widget_Tree(X_TREENODE_HK_2_2, UNAME='X_TREE_HK_2_FIS_FCAL_FRQ_B1'  $
      ,VALUE='FIS_FCal_FRQ_B1', UVALUE='HK_2_FIS_FCAL_FRQ_B1')
    X_TREE_HK_2_FIS_FCAL_FRQ_B0 = Widget_Tree(X_TREENODE_HK_2_2, UNAME='X_TREE_HK_2_FIS_FCAL_FRQ_B0'  $
      ,VALUE='FIS_FCal_FRQ_B0', UVALUE='HK_2_FIS_FCAL_FRQ_B0')
    X_TREE_HK_2_IRC_CPU_RU_RS = Widget_Tree(X_TREENODE_HK_2_2, UNAME='X_TREE_HK_2_IRC_CPU_RU_RS'  $
      ,VALUE='IRC_CPU_RU_RS', UVALUE='HK_2_IRC_CPU_RU_RS')
    X_TREE_HK_2_IRC_IRC_ON_OF = Widget_Tree(X_TREENODE_HK_2_2, UNAME='X_TREE_HK_2_IRC_IRC_ON_OF'  $
      ,VALUE='IRC_IRC_On_Of', UVALUE='HK_2_IRC_IRC_ON_OF')

  ; (3) Cryostat temperature
  X_TREENODE_HK_2_3 = Widget_Tree(X_TREENODE_HK_2, UNAME='X_TREENODE_HK_2_3'  $
      ,/FOLDER ,VALUE='Cryostat temperature')
    X_TREE_HK_2_CRYO_HE_TANK_1 = Widget_Tree(X_TREENODE_HK_2_3, UNAME='X_TREE_HK_2_CRYO_HE_TANK_1'  $
      ,VALUE='CRYO_He_Tank_1', UVALUE='HK_2_CRYO_HE_TANK_1')
    X_TREE_HK_2_CRYO_BAFFLE_1 = Widget_Tree(X_TREENODE_HK_2_3, UNAME='X_TREE_HK_2_CRYO_BAFFLE_1'  $
      ,VALUE='CRYO_Baffle_1', UVALUE='HK_2_CRYO_BAFFLE_1')
    X_TREE_HK_2_CRYO_BAFFLE_2 = Widget_Tree(X_TREENODE_HK_2_3, UNAME='X_TREE_HK_2_CRYO_BAFFLE_2'  $
      ,VALUE='CRYO_Baffle_2', UVALUE='HK_2_CRYO_BAFFLE_2')

  ; (4) Cryostat current
  X_TREENODE_HK_2_4 = Widget_Tree(X_TREENODE_HK_2, UNAME='X_TREENODE_HK_2_4'  $
      ,/FOLDER ,VALUE='Cryostat current')
    X_TREE_HK_2_CRYO_COLD_HD_A_DR_I = Widget_Tree(X_TREENODE_HK_2_4, UNAME='X_TREE_HK_2_CRYO_COLD_HD_A_DR_I'  $
      ,VALUE='CRYO_Cold_HD_A_DR_I', UVALUE='HK_2_CRYO_COLD_HD_A_DR_I')
    X_TREE_HK_2_CRYO_COLD_HD_B_DR_I = Widget_Tree(X_TREENODE_HK_2_4, UNAME='X_TREE_HK_2_CRYO_COLD_HD_B_DR_I'  $
      ,VALUE='CRYO_Cold_HD_B_DR_I', UVALUE='HK_2_CRYO_COLD_HD_B_DR_I')
    X_TREE_HK_2_CRYO_COMP_A_DR_I = Widget_Tree(X_TREENODE_HK_2_4, UNAME='X_TREE_HK_2_CRYO_COMP_A_DR_I'  $
      ,VALUE='CRYO_Comp_A_DR_I', UVALUE='HK_2_CRYO_COMP_A_DR_I')
    X_TREE_HK_2_CRYO_COMP_B_DR_I = Widget_Tree(X_TREENODE_HK_2_4, UNAME='X_TREE_HK_2_CRYO_COMP_B_DR_I'  $
      ,VALUE='CRYO_Comp_B_DR_I', UVALUE='HK_2_CRYO_COMP_B_DR_I')

  ; (5) IRC Analog data
  X_TREENODE_HK_2_5 = Widget_Tree(X_TREENODE_HK_2, UNAME='X_TREENODE_HK_2_5'  $
      ,/FOLDER ,VALUE='IRC Analog data')
    X_TREE_HK_2_IRC_MAINREF_TMP1 = Widget_Tree(X_TREENODE_HK_2_5, UNAME='X_TREE_HK_2_IRC_MAINREF_TMP1'  $
      ,VALUE='IRC_MainRef_TMP1', UVALUE='HK_2_IRC_MAINREF_TMP1')
    X_TREE_HK_2_IRC_SUBREF_TMP = Widget_Tree(X_TREENODE_HK_2_5, UNAME='X_TREE_HK_2_IRC_SUBREF_TMP'  $
      ,VALUE='IRC_SubRef_TMP', UVALUE='HK_2_IRC_SUBREF_TMP')
    X_TREE_HK_2_IRC_FPIP_TMP1 = Widget_Tree(X_TREENODE_HK_2_5, UNAME='X_TREE_HK_2_IRC_FPIP_TMP1'  $
      ,VALUE='IRC_FPIP_TMP1', UVALUE='HK_2_IRC_FPIP_TMP1')

  Widget_Control, parentID, /UPDATE

end