; $Id: make_y_fis_hk_tree.pro,v 1.6 2006/12/11 06:33:25 makiuti Exp $
;+
; NAME:
;       MAKE_Y_FIS_HK_TREE
;
; PURPOSE:
;       This procedure makes the FIS_HK extension branch
;       in the Y data selector of the FISv.
;       This procedure is called by FISv.
;
; AUTHOR:
;       ASTRO-F Data Reduction team
;       Web Page: http://www.ir.isas.ac.jp/ASTRO-F/iris_data/
;
; CATEGORY:
;       FIS Data Visualizer
;
; CALLING SEQUENCE:
;       make_y_fis_hk_tree, widgetID
;
; MODIFICATION HISTORY:
;        Written by: Makiuti,S.
;        2006/12/11  Last modified
;-
pro make_y_fis_hk_tree, widgetID

  parentID = widgetID
  WHILE Widget_Info(parentID, /Parent) NE 0 DO BEGIN
     parentID = Widget_Info(parentID, /Parent)
  ENDWHILE

  Widget_Control, parentID, UPDATE=0

  ;  ## FIS_HK Extension Root
  Y_TREENODE_FIS_HK = widget_info(parentID, find_by_uname='Y_TREENODE_FIS_HK')

  ; (1) Time
  Y_TREENODE_FIS_HK_1 = Widget_Tree(Y_TREENODE_FIS_HK, UNAME='Y_TREENODE_FIS_HK_1'  $
      ,/FOLDER ,VALUE='Time')
    Y_TREE_AFTIME = Widget_Tree(Y_TREENODE_FIS_HK_1, UNAME='Y_TREE_FIS_HK_AFTIME'  $
      ,VALUE='AFTIME', UVALUE='FIS_HK_AFTIME')
    Y_TREE_PIMTIORG = Widget_Tree(Y_TREENODE_FIS_HK_1, UNAME='Y_TREE_FIS_HK_PIMTIORG'  $
      ,VALUE='PIMTIORG', UVALUE='FIS_HK_PIM_TI_ORG')
  ; (2) Status
  Y_TREENODE_FIS_HK_2 = Widget_Tree(Y_TREENODE_FIS_HK, UNAME='Y_TREENODE_FIS_HK_2'  $
      ,/FOLDER ,VALUE='Status')
    Y_TREE_FIS_HK_BLANK = Widget_Tree(Y_TREENODE_FIS_HK_2, UNAME='Y_TREE_FIS_HK_BLANK'  $
      ,VALUE='Blank', UVALUE='FIS_HK_BLANK')
    Y_TREE_FIS_HK_BLANK_SUBCOM_DATA = Widget_Tree(Y_TREENODE_FIS_HK_2, UNAME='Y_TREE_FIS_HK_BLANK_SUBCOM_DATA'  $
      ,VALUE='Blank_SubCom_Data', UVALUE='FIS_HK_BLANK_SUBCOM_DATA')

  ; (3) Analog Data
  Y_TREENODE_FIS_HK_3 = Widget_Tree(Y_TREENODE_FIS_HK, UNAME='Y_TREENODE_FIS_HK_3'  $
      ,/FOLDER ,VALUE='Analg Data')

    Y_TREE_FIS_HK_FIS_FW_F_PUL = Widget_Tree(Y_TREENODE_FIS_HK_3, UNAME='Y_TREE_FIS_HK_FIS_FW_F_PUL'  $
      ,VALUE='FIS_FW_F_Pul', UVALUE='FIS_HK_FIS_FW_F_PUL')
    Y_TREE_FIS_HK_FIS_FW_R_PUL = Widget_Tree(Y_TREENODE_FIS_HK_3, UNAME='Y_TREE_FIS_HK_FIS_FW_R_PUL'  $
      ,VALUE='FIS_FW_R_Pul', UVALUE='FIS_HK_FIS_FW_R_PUL')
    Y_TREE_FIS_HK_FIS_LW_WIRE_LIGHT = Widget_Tree(Y_TREENODE_FIS_HK_3, UNAME='Y_TREE_FIS_HK_FIS_LW_WIRE_LIGHT'  $
      ,VALUE='FIS_LW_Wire_Light', UVALUE='FIS_HK_FIS_LW_WIRE_LIGHT')
    Y_TREE_FIS_HK_FIS_RUN_MODE = Widget_Tree(Y_TREENODE_FIS_HK_3, UNAME='Y_TREE_FIS_HK_FIS_RUN_MODE'  $
      ,VALUE='FIS_Run_Mode', UVALUE='FIS_HK_FIS_RUN_MODE')
    Y_TREE_FIS_HK_FIS_OBS_MODE = Widget_Tree(Y_TREENODE_FIS_HK_3, UNAME='Y_TREE_FIS_HK_FIS_OBS_MODE'  $
      ,VALUE='FIS_Obs_Mode', UVALUE='FIS_HK_FIS_OBS_MODE')
    Y_TREE_FIS_HK_FIS_ASQ_PATTERN = Widget_Tree(Y_TREENODE_FIS_HK_3, UNAME='Y_TREE_FIS_HK_FIS_ASQ_PATTERN'  $
      ,VALUE='FIS_ASQ_Pattern', UVALUE='FIS_HK_FIS_ASQ_PATTERN')
    Y_TREE_FIS_HK_FIS_ASQ_STEP = Widget_Tree(Y_TREENODE_FIS_HK_3, UNAME='Y_TREE_FIS_HK_FIS_ASQ_STEP'  $
      ,VALUE='FIS_ASQ_Step', UVALUE='FIS_HK_FIS_ASQ_STEP')
    Y_TREE_FIS_HK_SW_HEATER_TMP = Widget_Tree(Y_TREENODE_FIS_HK_3, UNAME='Y_TREE_FIS_HK_SW_HEATER_TMP'  $
      ,VALUE='SW_Heater_TMP', UVALUE='FIS_HK_SW_HEATER_TMP')

  Widget_Control, parentID, /UPDATE

end