; $Id: append_string_array.pro,v 1.1 2003/05/20 02:31:36 kawamura Exp $
;
; Copyright (c) 2003, ASTRO-F Data Reduction Team.  All rights reserved.
;
;+
; NAME:
;	APPEND_STRING_ARRAY.PRO
; PURPOSE:
;	Input string is added to original string array.
; CATEGORY:
;	Function. Green Box library.
; CALLING SEQUENCE:
;	Result = append_string_array('original array',
;                 'array to append')
; INPUTS:
;	ORIG		String array
;	S  	        String
; OUTPUTS:
;	result		String array
; RETURN:
;	Original string array
; RESTRICTIONS:
;	
; PROCEDURE:
;
; EXAMPLE:
;
; REFERENCE:
;
; MODIFICATION HISTORY:
; 	May 2003		Written by A. Kawamura.
;-

FUNCTION APPEND_STRING_ARRAY, ORIG, S

si=size(orig)
FOR I = 0, si[1] - 2 DO BEGIN
    IF ORIG[I] EQ '' THEN BEGIN
        ORIG[I] = S
        return, ORIG
    ENDIF
ENDFOR
print,'Cannot append string'
RETURN, ORIG
END



