;
;  supplies function for cal_fit2
;

Function cal2_respons, t, a
  bt= exp(-t/a[1])
  dt= exp(-t/a[3])
  f = a[0]*(1.D -bt)+a[2]*dt+a[4]

  Return, [f, 1.D -bt, -a[0]*bt*t/a[1]^2, dt, a[2]*dt*t/a[3]^2, 1.D]
End


;
; performs curve fitting with the following function and returns y(t1)
; where t1 may be an array
;
;  ref. S.H.Oh et al. 2004
;
Function gb_cal_fit2, y, t, t1, YFIT=YFit, PARAMS=Params, TSTART=t0

;  initial guess for the coefficients
;
  a = findgen(5)
   a[0] = max(y)*0.5
   a[2] = 1.4*max(y)
   a[4] = a[2]-y[0]*0.5
   a[1] = 100.
   a[3] = 2400.

;   a[0] = -7e-4
;   a[2] = 1e-4
;   a[4] = 5e-4
;   a[1] = 100
;   a[3] = 1000


  fita = [1,1,1,0,1]

  if Keyword_Set(t0) then begin
      tm = t0
  endif else tm  = t[0]
  tm  = t[0]
  t_0 = t - tm

  c = lmfit(t_0, y, a, FITA=fita, FUNCTION_NAME='cal2_respons', CHISQ=chisq, $
                          /double, CONVERGENCE=convergence, ITMAX=300)

IF (convergence EQ -1) THEN print, '  Converge failed in a module, gb_cal_fit2.pro.'

  b = a[0]*(1.D - exp(-(t1-tm)/a[1])) + a[2]*exp(-(t1-tm)/a[3]) + a[4]

  if arg_present(YFit) NE 0 then YFit=c ; For PV
  if arg_present(Params) NE 0 then Params=a ; For PV

; in the case of unsatisfactory fit due to, i.e., cosmic rays
;
; idx = where (abs(c-y) gt 4.D*chisq, cnt)

; if cnt gt 1 then begin
;   for i = 0, cnt-1 do begin
;     if idx(0) eq 0 then tmin=t[0] else tmin=t[idx(i)-1]
;     if idx(cnt-1) eq n_elements(t)-1 then tmax=max(t) else t[idx(i)+1]
;     idxp = where(ti gt tmin and ti lt tmax)
;     b[idxp] = interpol(y,t,ti[idxp])
;   endfor
; endif

Return, b

End

