; $Id: ispresent.pro,v 1.2 2006/01/16 00:01:24 baba Exp $
;
; Copyright (c) 2003, ASTRO-F Data Reduction Team.  All rights reserved.
;
;+
; NAME:
;	ispresent.pro
; PURPOSE:
;	test whether an item is present in a list
; CATEGORY:
;	Function.
; CALLING SEQUENCE:
;	test = ispresent( condition, indices, count )
;
; INPUTS:
;	condition	to be tested
; OUTPUTS:
;	indices 	where truth is fount
;	count		number of indices
; RETURN:
;	test		true or not
;
; PROCEDURE:
;	Actually a (better) variant of the where function
;	It does away with the obnoxious test on the count
; EXAMPLE:
;	array = indgen( 10 )
;	if ( ispresent( array EQ 5, b ) ) then array[b] = 0
; MODIFICATION HISTORY:
;	Nov 2005    DK, separated from gb_bayes_glitch
;-

; ======================================================================
function ispresent, condition, indices, count

indices = where( condition, count )

return, count GT 0
end


