;
; Copyright (c) 2002, ASTRO-F Data Reduction Team.  All rights reserved.
;
;+
; NAME:
;	WaitForCursor
; PURPOSE:
;	waits until a cursor clicks in the graphics window before continuing
; CATEGORY:
;	Utility
; CALLING SEQUENCE:
;	waitforcursor [, cont]
; INPUTS:
;	cont		steers behaviour:
;			0 --> does not wait at all
;			1 --> waits while clicking the left button
;			      continues after clicking right button
;			default --> always waits
;			cont has to be kept over calls
; HISTORY:
;	May 2006  DK
;-

pro waitforcursor, cont

if ( n_elements( cont ) EQ 0 ) then cont = 1
if ( !D.name EQ 'X' AND cont EQ 1 ) then begin
    cursor, xx, yy, 3
    cont = !mouse.button NE 4
endif

end


