; $Id: im_mkheader.pro,v 1.1 2006/05/12 07:34:03 do Exp $
;
; Copyright (c) 2005, ASTRO-F Data Reduction Team.  All rights reserved.
;		      Do Kester, SRON.
;+
; NAME:
;	im_mkheader.pro
; PURPOSE:
;	make a header from mapinfo
; CATEGORY:
;	Function.
; CALLING SEQUENCE:
;	header = im_mkheader( mapinfo )
;
; INPUTS:
;	mapinfo 	map information
; OUTPUTS:
;	-
; RETURN
;	header
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; REFERENCE:
;	Baba et al. 2002 Nov. 21, ``ASTRO-F/FIS Survey Data Structure"
;
; MODIFICATION HISTORY:
;	Mar. 2005		Written by Do Kester
;-

FUNCTION im_mkheader, mapinfo

COMPILE_OPT IDL2

    NAXIS1   = mapinfo.pixels[0]
    NAXIS2   = mapinfo.pixels[1]
;    CRPIX1   = mapinfo.pixels[0] / 2.0
;    CRPIX2   = mapinfo.pixels[1] / 2.0
    CDELT1   = - mapinfo.size[0] / mapinfo.pixels[0]  ; increasing to the left
    CDELT2   = mapinfo.size[1] / mapinfo.pixels[1]
    CRVAL1   = mapinfo.center[0]
    CRVAL2   = mapinfo.center[1]
;    CTYPE1   = "RA---TAN"
;    CTYPE2   = "DEC--TAN"
    icmkhdr, NAXIS1, NAXIS2, CDELT1, CDELT2, CRVAL1, CRVAL2, 0, header

    return, header

END


