PRO ss_coad_to_fits, im_ra, im_dec, coad_det, coad_err, coad_num, FILENAME=filename, ERRORMAP=errormap, NUMMAP=nummap
; write ss_coad_image to FITS
; 06/12/13 I.Yamamura from sav2fits.pro (need to be updated!)
; 07/01/10 I.Yamamura cdelt1 should be without cos projection

if (KEYWORD_SET(ERRORMAP)) then begin
   dim = SIZE(coad_err, /DIMENSION)
   im_w = TRANSPOSE(coad_err[0, *, *], [1, 2])
   im_n = TRANSPOSE(coad_err[1, *, *], [1, 2])
endif else if (KEYWORD_SET(NUMMAP)) then begin
   dim = SIZE(coad_num, /DIMENSION)
   im_w = TRANSPOSE(coad_num[0, *, *], [1, 2])
   im_n = TRANSPOSE(coad_num[1, *, *], [1, 2])
endif else begin
   dim = SIZE(coad_det, /DIMENSION)
   im_w = REFORM(coad_det[0, *, *], dim[1], dim[2])
   im_n = REFORM(coad_det[1, *, *], dim[1], dim[2])
endelse

; ============== make header
naxis2 = dim[2]
naxis1 = dim[1]
crpix2 = dim[2]/2
crpix1 = dim[1]/2
crval2 = im_dec[crpix2-1]
crval1 = im_ra[crpix1-1]
cdelt2 = (im_dec[naxis2-1] - im_dec[0]) / DOUBLE(naxis2 - 1)
; 07/01/10 cos projection is applied in the viewer.
;cdelt1 = (im_ra[naxis1-1] - im_ra[0]) / DOUBLE(naxis1 - 1)
cdelt1 = cdelt2
rot = 0D
equinox = 2000.0

icmkhdr, naxis1, naxis2, cdelt1, cdelt2, crval1, crval2, 0D, EQUINOX=equinox, $
   crpix = [crpix1, crpix2], hd

; ============== write in FITS

wname = filename+'_w.fits'
nname = filename+'_n.fits'

writefits, wname, im_w, hd
writefits, nname, im_n, hd

return
end
